models/Bichos.php
<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "bichos".
 *
 * @property int $id
 * @property string|null $nombre
 * @property int|null $precio
 * @property string|null $tiempo
 * @property string|null $lugaraparicion
 *
 * @property Capturan[] $capturans
 * @property Jugadores[] $idjugadores
 * @property Mesesbichos[] $mesesbichos
 */
class Bichos extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'bichos';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['precio'], 'integer'],
            [['nombre'], 'string', 'max' => 45],
            [['tiempo', 'lugaraparicion'], 'string', 'max' => 50],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'nombre' => 'Nombre',
            'precio' => 'Precio',
            'tiempo' => 'Tiempo',
            'lugaraparicion' => 'Lugar de aparición',
        ];
    }

    /**
     * Gets query for [[Capturans]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getCapturans()
    {
        return $this->hasMany(Capturan::class, ['idbichos' => 'id']);
    }

    /**
     * Gets query for [[Idjugadores]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getIdjugadores()
    {
        return $this->hasMany(Jugadores::class, ['id' => 'idjugadores'])->viaTable('capturan', ['idbichos' => 'id']);
    }

    /**
     * Gets query for [[Mesesbichos]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getMesesbichos()
    {
        return $this->hasMany(Mesesbichos::class, ['idbichos' => 'id']);
    }
}

controllers/BichosController.php
<?php

namespace app\controllers;

use app\models\Bichos;
use yii\data\ActiveDataProvider;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;

/**
 * BichosController implements the CRUD actions for Bichos model.
 */
class BichosController extends Controller
{
    /**
     * @inheritDoc
     */
    public function behaviors()
    {
        return array_merge(
            parent::behaviors(),
            [
                'verbs' => [
                    'class' => VerbFilter::className(),
                    'actions' => [
                        'delete' => ['POST'],
                    ],
                ],
            ]
        );
    }

    /**
     * Lists all Bichos models.
     *
     * @return string
     */
    public function actionIndex()
    {
        $dataProvider = new ActiveDataProvider([
            'query' => Bichos::find(),
            /*
            'pagination' => [
                'pageSize' => 50
            ],
            'sort' => [
                'defaultOrder' => [
                    'id' => SORT_DESC,
                ]
            ],
            */
        ]);

        return $this->render('index', [
            'dataProvider' => $dataProvider,
        ]);
    }

    /**
     * Displays a single Bichos model.
     * @param int $id ID
     * @return string
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($id)
    {
        return $this->render('view', [
            'model' => $this->findModel($id),
        ]);
    }

    /**
     * Creates a new Bichos model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return string|\yii\web\Response
     */
    public function actionCreate()
    {
        $model = new Bichos();

        if ($this->request->isPost) {
            if ($model->load($this->request->post()) && $model->save()) {
                return $this->redirect(['view', 'id' => $model->id]);
            }
        } else {
            $model->loadDefaultValues();
        }

        return $this->render('create', [
            'model' => $model,
        ]);
    }

    /**
     * Updates an existing Bichos model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param int $id ID
     * @return string|\yii\web\Response
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionUpdate($id)
    {
        $model = $this->findModel($id);

        if ($this->request->isPost && $model->load($this->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->id]);
        }

        return $this->render('update', [
            'model' => $model,
        ]);
    }

    /**
     * Deletes an existing Bichos model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param int $id ID
     * @return \yii\web\Response
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionDelete($id)
    {
        $this->findModel($id)->delete();

        return $this->redirect(['index']);
    }

    /**
     * Finds the Bichos model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param int $id ID
     * @return Bichos the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($id)
    {
        if (($model = Bichos::findOne(['id' => $id])) !== null) {
            return $model;
        }

        throw new NotFoundHttpException('The requested page does not exist.');
    }
    
       /** consulta para que muestre los bichos que tengo en la base de datos junto con el nombre, el precio, la tiempo y el lugar de aparición */
      public function actionConsultaBichos()
    {
    $dataProvider = new ActiveDataProvider([
        'query' => Bichos::find()->select('id, nombre, precio, tiempo, lugaraparicion'),
        'pagination' => [
            'pageSize' => -1, // Establece el número de registros por página
        ],
    ]);

    return $this->render('consulta-bichos', [
        'dataProvider' => $dataProvider,
    ]);
}

/* CONSULTAS PARA EL DESPLEGABLE DEL TIEMPO */

/* Consulta para que muestre los bichos que salen siempre */
    public function actionSiempre(){
     $dataProvider = new ActiveDataProvider([
        'query' => Bichos::find()
            ->select(['id','nombre'])
            ->where(['tiempo' => 'siempre']),
          'pagination' => [
            'pageSize' => -1, // Establece el número de registros por página
        ],
             ]);
        return $this->render("bichos-salen-siempre",[
            "dataProvider"=>$dataProvider,
        ]);
    }
    
/* Consulta para que muestre los bichos que salen siempre excepto con lluvia */
    public function actionSiempresinlluvia(){
     $dataProvider = new ActiveDataProvider([
        'query' => Bichos::find()
            ->select(['id','nombre'])
            ->where(['tiempo' => 'siempre menos con lluvia']),
          'pagination' => [
            'pageSize' => -1, // Establece el número de registros por página
        ],
             ]);
        return $this->render("bichos-salen-siempre-sin-lluvia",[
            "dataProvider"=>$dataProvider,
        ]);
    } 
    
/* Consulta para que muestre los bichos que salen solo con lluvia */
    public function actionSoloconlluvia(){
     $dataProvider = new ActiveDataProvider([
        'query' => Bichos::find()
            ->select(['id','nombre'])
            ->where(['tiempo' => 'solo con lluvia']),
          'pagination' => [
            'pageSize' => -1, // Establece el número de registros por página
        ],
             ]);
        return $this->render("bichos-salen-solo-con-lluvia",[
            "dataProvider"=>$dataProvider,
        ]);
    }
    
/* CONSULTAS PARA EL LUGAR DE APARICIÓN */
    /* Consulta para que muestre los bichos que salen cerca de las flores*/
    public function actionCercadeflores(){
     $dataProvider = new ActiveDataProvider([
        'query' => Bichos::find()
            ->select(['id','nombre'])
            ->where(['lugaraparicion' => 'cerca de flores']),
          'pagination' => [
            'pageSize' => -1, // Establece el número de registros por página
        ],
             ]);
        return $this->render("bichos-cerca-de-flores",[
            "dataProvider"=>$dataProvider,
        ]);
    }
    
/* Consulta para que muestre los bichos que salen agitando árboles*/
    public function actionAgitandoarboles(){
     $dataProvider = new ActiveDataProvider([
        'query' => Bichos::find()
            ->select(['id','nombre'])
            ->where(['lugaraparicion' => 'agitando arboles']),
          'pagination' => [
            'pageSize' => -1, // Establece el número de registros por página
        ],
             ]);
        return $this->render("bichos-agitando-arboles",[
            "dataProvider"=>$dataProvider,
        ]);
    }
    
/* Consulta para que muestre los bichos que salen en la orilla del mar*/
    public function actionOrillademar(){
     $dataProvider = new ActiveDataProvider([
        'query' => Bichos::find()
            ->select(['id','nombre'])
            ->where(['lugaraparicion' => 'en la orilla del mar']),
          'pagination' => [
            'pageSize' => -1, // Establece el número de registros por página
        ],
             ]);
        return $this->render("bichos-orilla-de-mar",[
            "dataProvider"=>$dataProvider,
        ]);
    }
    
/* Consulta para que muestre los bichos que salen en rocas o arbustos */
    public function actionRocasarbustos(){
     $dataProvider = new ActiveDataProvider([
        'query' => Bichos::find()
            ->select(['id','nombre'])
            ->where(['lugaraparicion' => 'en rocas o arbustos']),
          'pagination' => [
            'pageSize' => -1, // Establece el número de registros por página
        ],
             ]);
        return $this->render("bichos-rocas-arbustos",[
            "dataProvider"=>$dataProvider,
        ]);
    }
    
/* Consulta para que muestre los bichos que salen en las flores */
    public function actionFlores(){
     $dataProvider = new ActiveDataProvider([
        'query' => Bichos::find()
            ->select(['id','nombre'])
            ->where(['lugaraparicion' => 'en las flores']),
          'pagination' => [
            'pageSize' => -1, // Establece el número de registros por página
        ],
             ]);
        return $this->render("bichos-en-flores",[
            "dataProvider"=>$dataProvider,
        ]);
    }
        
/* Consulta para que muestre los bichos que salen en charcas y ríos */
    public function actionCharcas(){
     $dataProvider = new ActiveDataProvider([
        'query' => Bichos::find()
            ->select(['id','nombre'])
            ->where(['lugaraparicion' => 'en charcas y rios']),
          'pagination' => [
            'pageSize' => -1, // Establece el número de registros por página
        ],
             ]);
        return $this->render("bichos-rios-charcas",[
            "dataProvider"=>$dataProvider,
        ]);
    }
    
/* Consulta para que muestre los bichos que salen golpeando rocas */
    public function actionRocas(){
     $dataProvider = new ActiveDataProvider([
        'query' => Bichos::find()
            ->select(['id','nombre'])
            ->where(['lugaraparicion' => 'dandole a rocas']),
          'pagination' => [
            'pageSize' => -1, // Establece el número de registros por página
        ],
             ]);
        return $this->render("bichos-rocas",[
            "dataProvider"=>$dataProvider,
        ]);
    }
    
/* Consulta para que muestre los bichos que salen en los árboles */
    public function actionEnarboles(){
     $dataProvider = new ActiveDataProvider([
        'query' => Bichos::find()

views/bichos/_consulta-bichos.php
<?php
use yii\helpers\ArrayHelper;
use yii\helpers\Html;

?>
<div class="row">
<div class="col-sm-12" >
    <div class="card alturaminima">
        <div class="card-body tarjeta imagenAc">

            <h3 class="tituloAc"><?= Html::img('@web/img/bichos/' . $model->nombre . '.png', ['alt' => 'My logo']) ?></h3>
            <h3> <?= $model->nombre ?></h3>
                <p>
                     <?= Html::a('Ver datos', ['bichos/view', 'id' => $model->id], ['class' => 'btn custom-button'])?>
                </p>
        </div>
    </div>
</div>
</div>

views/bichos/bichos-agitando-arboles.php
<?php
use yii\widgets\ListView;
use yii\helpers\html;
?>

<? desplegable del tiempo atmosférico en el que aparecer los bichos ?>
<div class="btn-group btn-desplegabletiempo" role="group">
     <button id="btnGroupDrop1" type="button" class="btn custom-button dropdown-toggle custom-button btn-lugar" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
      Tiempo
     </button>
        <div class="dropdown-menu btn-lugar" aria-labelledby="btnGroupDrop1">
            <p>
              <?= Html::a('Siempre', ['bichos/siempre'],['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Siempre menos con lluvia', ['bichos/siempresinlluvia'], ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Solo con lluvia', ['bichos/soloconlluvia'], ['class'=>'btn custom-button btn-dentrodesple'])?>
            </p>
        </div>
</div>

<? desplegable del lugar de aparición de los bichos ?>
<div class="btn-group btn-desplegableaparicion" role="group">
     <button id="btnGroupDrop1" type="button" class="btn custom-button dropdown-toggle custom-button btn-lugar" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
      Lugar de aparición
     </button>
        <div class="dropdown-menu btn-lugar" aria-labelledby="btnGroupDrop1">
            <p>
              <?= Html::a('Cerca de flores', ['bichos/cercadeflores'],['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Agitando árboles', ['bichos/agitandoarboles'], ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('En la orilla del mar', ['bichos/orillademar'], ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Rocas o arbustos', ['bichos/rocasarbustos'],['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('En las flores', ['bichos/flores'], ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Charcas o ríos', ['bichos/charcas'], ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Golpeando rocas', ['bichos/rocas'],['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('En los árboles', ['bichos/enarboles'], ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('En palmeras', ['bichos/palmeras'], ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('En el suelo', ['bichos/suelo'],['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('En tocones', ['bichos/tocones'], ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Volando', ['bichos/volando'], ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('En aldeanos', ['bichos/aldeanos'], ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('En la hierba', ['bichos/hierba'], ['class'=>'btn custom-button btn-dentrodesple'])?>
            </p>
        </div>
</div>

<? desplegable de los meses que sale cada bicho ?>

<div class="btn-group btn-desplegablemesesbichos " role="group">
     <button id="btnGroupDrop1" type="button" class="btn custom-button dropdown-toggle custom-button btn-lugar" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
      Meses
     </button>
        <div class="dropdown-menu btn-lugar" aria-labelledby="btnGroupDrop1">
            <p>
              <?= Html::a('Enero', ['bichos/bichosenero'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Febrero', ['bichos/bichosfebrero'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Marzo', ['bichos/bichosmarzo'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Abril', ['bichos/bichosabril'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Mayo', ['bichos/bichosmayo'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Junio', ['bichos/bichosjunio'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Julio', ['bichos/bichosjulio'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Agosto', ['bichos/bichosagosto'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Septiembre', ['bichos/bichosseptiembre'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Octubre', ['bichos/bichosoctubre'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Noviembre', ['bichos/bichosnoviembre'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Diciembre', ['bichos/bichosdiciembre'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
            </p>
        </div>
</div>


<div>
    <div class=" body-content">
        <h1 class="encabezadoObras">Bichos</h1>
        <h5>Si no tienes cuidado igual te llevas una picadura de alguno de estos bichos, ¡ándate con ojo!</h5>
<?= ListView::widget([
    'dataProvider' => $dataProvider,
    'itemView' => '_consulta-bichos', // Nombre de la vista parcial para cada ítem
    'layout' => "{items}\n{pager}", // Diseño de la lista
        'itemOptions' => [
                    'style' => 'float: left; justify-content: center; margin-top: 10px; width:50%;  ',
                ],
]) ?>
    </div>
    </div>

views/bichos/bichos-agosto.php
<?php
use yii\widgets\ListView;
use yii\helpers\html;
?>

<? desplegable del tiempo atmosférico en el que aparecer los bichos ?>
<div class="btn-group btn-desplegabletiempo" role="group">
     <button id="btnGroupDrop1" type="button" class="btn custom-button dropdown-toggle custom-button btn-lugar" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
      Tiempo
     </button>
        <div class="dropdown-menu btn-lugar" aria-labelledby="btnGroupDrop1">
            <p>
              <?= Html::a('Siempre', ['bichos/siempre'],['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Siempre menos con lluvia', ['bichos/siempresinlluvia'], ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Solo con lluvia', ['bichos/soloconlluvia'], ['class'=>'btn custom-button btn-dentrodesple'])?>
            </p>
        </div>
</div>

<? desplegable del lugar de aparición de los bichos ?>
<div class="btn-group btn-desplegableaparicion" role="group">
     <button id="btnGroupDrop1" type="button" class="btn custom-button dropdown-toggle custom-button btn-lugar" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
      Lugar de aparición
     </button>
        <div class="dropdown-menu btn-lugar" aria-labelledby="btnGroupDrop1">
            <p>
              <?= Html::a('Cerca de flores', ['bichos/cercadeflores'],['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Agitando árboles', ['bichos/agitandoarboles'], ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('En la orilla del mar', ['bichos/orillademar'], ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Rocas o arbustos', ['bichos/rocasarbustos'],['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('En las flores', ['bichos/flores'], ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Charcas o ríos', ['bichos/charcas'], ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Golpeando rocas', ['bichos/rocas'],['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('En los árboles', ['bichos/enarboles'], ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('En palmeras', ['bichos/palmeras'], ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('En el suelo', ['bichos/suelo'],['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('En tocones', ['bichos/tocones'], ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Volando', ['bichos/volando'], ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('En aldeanos', ['bichos/aldeanos'], ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('En la hierba', ['bichos/hierba'], ['class'=>'btn custom-button btn-dentrodesple'])?>
            </p>
        </div>
</div>

<? desplegable de los meses que sale cada bicho ?>

<div class="btn-group btn-desplegablemesesbichos " role="group">
     <button id="btnGroupDrop1" type="button" class="btn custom-button dropdown-toggle custom-button btn-lugar" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
      Meses
     </button>
        <div class="dropdown-menu btn-lugar" aria-labelledby="btnGroupDrop1">
            <p>
              <?= Html::a('Enero', ['bichos/bichosenero'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Febrero', ['bichos/bichosfebrero'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Marzo', ['bichos/bichosmarzo'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Abril', ['bichos/bichosabril'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Mayo', ['bichos/bichosmayo'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Junio', ['bichos/bichosjunio'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Julio', ['bichos/bichosjulio'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Agosto', ['bichos/bichosagosto'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Septiembre', ['bichos/bichosseptiembre'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Octubre', ['bichos/bichosoctubre'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Noviembre', ['bichos/bichosnoviembre'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Diciembre', ['bichos/bichosdiciembre'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
            </p>
        </div>
</div>


<div class="row">
    <div class=" body-content">
        <h1 class="encabezadoObras">Bichos</h1>
        <h5>Si no tienes cuidado igual te llevas una picadura de alguno de estos bichos, ¡ándate con ojo!</h5>
<?= ListView::widget([
    'dataProvider' => $dataProvider,
    'itemView' => '_consulta-bichos', // Nombre de la vista parcial para cada ítem
    'layout' => "{items}\n{pager}", // Diseño de la lista
        'itemOptions' => [
                    'style' => 'float: left; justify-content: center; margin-top: 10px; width:33%;  ',
                ],
]) ?>

views/bichos/create.php
<?php

use yii\helpers\Html;

/** @var yii\web\View $this */
/** @var app\models\Bichos $model */

$this->title = 'Create Bichos';
$this->params['breadcrumbs'][] = ['label' => 'Bichos', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="bichos-create">

    <h1><?= Html::encode($this->title) ?></h1>

    <?= $this->render('_form', [
        'model' => $model,
    ]) ?>

</div>

views/bichos/update.php
<?php

use yii\helpers\Html;

/** @var yii\web\View $this */
/** @var app\models\Bichos $model */

$this->title = 'Update Bichos: ' . $model->id;
$this->params['breadcrumbs'][] = ['label' => 'Bichos', 'url' => ['index']];
$this->params['breadcrumbs'][] = ['label' => $model->id, 'url' => ['view', 'id' => $model->id]];
$this->params['breadcrumbs'][] = 'Update';
?>
<div class="bichos-update">

    <h1><?= Html::encode($this->title) ?></h1>

    <?= $this->render('_form', [
        'model' => $model,
    ]) ?>

</div>